=== debian/changelog ===
rtpengine (11.5.1.18-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:56:17 +1100

rtpengine (11.5.1.18-1build4) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:59:20 +0000

rtpengine (11.5.1.18-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:37:00 +0000

rtpengine (11.5.1.18-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:12:33 +0000

rtpengine (11.5.1.18-1build1) noble; urgency=medium

  * No-change rebuild against libhiredis1.1.0

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 26 Jan 2024 10:34:04 -0700

rtpengine (11.5.1.18-1) unstable; urgency=medium

  * New upstream version 11.5.1.18

 -- Victor Seva <vseva@debian.org>  Mon, 08 Jan 2024 10:14:40 +0100

rtpengine (11.5.1.14-1) unstable; urgency=medium

  * New upstream version 11.5.1.14

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 13:29:29 +0100

rtpengine (11.5.1.11-1) unstable; urgency=medium

  * New upstream version 11.5.1.11

 -- Victor Seva <vseva@debian.org>  Wed, 25 Oct 2023 08:42:01 +0200

rtpengine (11.5.1.9-1) unstable; urgency=medium

  * New upstream version 11.5.1.9 (Closes: #1053356)

 -- Victor Seva <vseva@debian.org>  Thu, 05 Oct 2023 08:42:37 +0200

rtpengine (11.5.1.3-2) unstable; urgency=medium

  * fix daemon.postinst: add etc/modprobe.d dir

 -- Victor Seva <vseva@debian.org>  Thu, 28 Sep 2023 15:07:40 +0200

rtpengine (11.5.1.3-1) unstable; urgency=medium

  * watch: follow mr11.5 line
  * New upstream version 11.5.1.3
  * debian: changes for mr11.5 (Closes: #1050181)

 -- Victor Seva <vseva@debian.org>  Wed, 27 Sep 2023 01:16:42 +0200
