=== debian/watch ===
version=4
# follow just the mr11.5 line
https://github.com/sipwise/rtpengine/tags (?:.*?/)?mr(11\.5[\d.]*)\.tar\.gz
