## rtpengine 11.5.1.25

=== debian/changelog ===
rtpengine (11.5.1.25-1) unstable; urgency=medium

  * New upstream version 11.5.1.25
  * switch from markdown to discount (Closes: #1073102)

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 14:52:33 +0200

rtpengine (11.5.1.24-1) unstable; urgency=medium

  [ Victor Seva ]
  * New upstream version 11.5.1.24

  [ Chris Hofstaedtler ]
  * Honor systemdsystemunitdir from systemd.pc (DEP17 M2) (Closes: #1060282)

 -- Victor Seva <vseva@debian.org>  Mon, 25 Mar 2024 10:07:25 +0100
