=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rtpengine
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
  Guillem Jover <gjover@sipwise.com>,
@@ -15,6 +14,7 @@
  debhelper-compat (= 13),
  default-libmysqlclient-dev,
  dh-sequence-dkms,
+ discount,
  gperf,
  libavcodec-dev (>= 6:10),
  libavfilter-dev (>= 6:10),
@@ -51,10 +51,11 @@
  libwebsockets-dev,
  libxmlrpc-core-c3-dev (>= 1.16.07),
  libxtables-dev (>= 1.4) | iptables-dev (>= 1.4),
- markdown,
  pandoc,
+ pkgconf,
  python3,
  python3-websockets,
+ systemd-dev | systemd,
  zlib1g-dev,
 Testsuite: autopkgtest-pkg-dkms
