## rtpengine 11.5.1.27

=== debian/changelog ===
rtpengine (11.5.1.27-1) unstable; urgency=medium

  * New upstream version 11.5.1.27 (Closes: #1077839)
  * fix <pkg.ngcp-rtpengine.no-transcoding> profile Recommends/Depends

 -- Victor Seva <vseva@debian.org>  Thu, 08 Aug 2024 09:45:01 +0200
