=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- rtpengine-perftest,
+ rtpengine-perftest <!pkg.ngcp-rtpengine.no-transcoding>,
  rtpengine-recording-daemon,
  rtpengine-utils,
 Conflicts:
@@ -127,8 +127,8 @@
  rtpengine-daemon (>= ${source:Version}),
  rtpengine-iptables (>= ${source:Version}),
  rtpengine-kernel-dkms (>= ${source:Version}),
- rtpengine-perftest (>= ${source:Version}),
- rtpengine-recording-daemon (>= ${source:Version}),
+ rtpengine-perftest (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
+ rtpengine-recording-daemon (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
  rtpengine-utils (>= ${source:Version}),
  ${misc:Depends},
 Conflicts:
