## rtpengine 12.5.1.9

=== debian/changelog ===
rtpengine (12.5.1.9-1) unstable; urgency=medium

  * New upstream version 12.5.1.9

 -- Victor Seva <vseva@debian.org>  Wed, 25 Sep 2024 08:46:48 +0200

rtpengine (12.5.1.7-1) unstable; urgency=medium

  * New upstream version 12.5.1.7
  * update Standards-Version to 4.7.0, no changes needed
  * copyright: update fixtures license
  * fix armel build

 -- Victor Seva <vseva@debian.org>  Thu, 19 Sep 2024 10:48:06 +0200

rtpengine (12.5.1.6-1) unstable; urgency=medium

  * debian/watch: switch to mr12.5 releases
  * New upstream version 12.5.1.5
  * New upstream version 12.5.1.6
  * control: Rules-Requires-Root: no
  * copyright: update years
  * control: remove rtpengine-iptables, update Build-Depends
  * update kernel-dkms.install
  * refresh debian/.gitignore
  * rtpengine-perftest: move LICENSE file to docs

 -- Victor Seva <vseva@debian.org>  Tue, 17 Sep 2024 10:10:47 +0200
