=== debian/changelog ===
rtpengine (12.5.1.11-1) unstable; urgency=medium

  * New upstream version 12.5.1.11

 -- Victor Seva <vseva@debian.org>  Mon, 07 Oct 2024 12:37:25 +0200
