## rtpengine 12.5.1.15

=== debian/changelog ===
rtpengine (12.5.1.15-1) unstable; urgency=medium

  * New upstream version 12.5.1.15

 -- Victor Seva <vseva@debian.org>  Tue, 05 Nov 2024 08:37:29 +0100
