## rtpengine 12.5.1.18

=== debian/changelog ===
rtpengine (12.5.1.18-1) unstable; urgency=medium

  * New upstream version 12.5.1.18
  * fixes 6.12 builds (Closes: #1089503)

 -- Victor Seva <vseva@debian.org>  Mon, 09 Dec 2024 19:54:28 +0100
