=== kernel-module/Makefile ===
--- 
+++ 
@@ -24,8 +24,6 @@
 endif
 EXTRA_CFLAGS+=	-DRTPENGINE_VERSION="\"$(RTPENGINE_VERSION)\""
 
-EXTRA_CFLAGS += -D__RE_EXTERNAL
-
 obj-m        += xt_RTPENGINE.o
 
 .PHONY:		modules clean patch install
