=== perf-tester/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 include ../lib/codec-chain.Makefile
 
 SRCS = main.c log.c
-LIBSRCS = codeclib.strhash.c loglib.c auxlib.c resample.c str.c dtmflib.c rtplib.c poller.c ssllib.c
+LIBSRCS = codeclib.strhash.c loglib.c auxlib.c resample.c str.c dtmflib.c rtplib.c poller.c ssllib.c bufferpool.c
 LIBASM = mvr2s_x64_avx2.S mvr2s_x64_avx512.S
 
 OBJS = $(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(LIBASM:.S=.o)
