=== debian/changelog ===
rtpengine (12.5.1.22-1) unstable; urgency=medium

  * New upstream version 12.5.1.22

 -- Victor Seva <vseva@debian.org>  Wed, 22 Jan 2025 11:11:43 +0100

rtpengine (12.5.1.20-1) unstable; urgency=medium

  * New upstream version 12.5.1.20 (Closes: #1093095)

 -- Victor Seva <vseva@debian.org>  Thu, 16 Jan 2025 10:20:19 +0100
