=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_VERSION_UPSTREAM
-export XTABLES_DIR := $(shell pkg-config xtables --variable=xtlibdir || echo /lib/xtables)
 
 ifneq (,$(filter $(DEB_BUILD_PROFILES),pkg.rtpengine.no-transcoding))
 export with_transcoding = no
